%define major 0
%define libname %mklibname maxminddb %{major}
%define develname %mklibname maxminddb -d

Name:       libmaxminddb
Summary:    C library for the MaxMind DB file format
Version:    1.6.0
Release:    %mkrel 1
Group:      System/Libraries
URL:        https://maxmind.github.io/libmaxminddb
Source0:    https://github.com/maxmind/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
License:        ASL 2.0 and BSD

BuildRequires:  fdupes
BuildRequires:  gcc-c++

%description
This package contains libmaxminddb library.

%package -n %{libname}
Group:      System/Libraries
Summary:    C library for the MaxMind DB file format
Obsoletes:  %{_lib}maxminddb1.0 < 1.3.2-3

%description -n %{libname}
This package contains libmaxminddb library.

%package -n %{develname}
Group:      Development/Libraries
Summary:    Libraries and header files for %{name}
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files needed for developing
applications that use %{name}.

%package -n mmdblookup
Group:      Networking/Other
Summary:    Utility to look up an IP address in a MaxMind DB file
Conflicts:  %{_lib}maxminddb-devel < 1.4.2-2

%description -n mmdblookup
mmdblookup looks up an IP address in the specified MaxMind DB file. The record
for the IP address is displayed in a JSON-like structure with type annotations.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n mmdblookup
%{_bindir}/mmdblookup
%{_mandir}/man1/mmdblookup.1*

%files -n %{libname}
%{_libdir}/libmaxminddb.so.%{major}*

%files -n %{develname}
%{_includedir}/maxminddb.h
%{_includedir}/maxminddb_config.h
%{_libdir}/libmaxminddb.so
%{_libdir}/pkgconfig/libmaxminddb.pc
%{_mandir}/man3/*


%changelog
* Mon Nov 08 2021 yodelu - 1.6.0-1pclos2021
- import
